/**
 * Created by yaohx_169 on 2017/6/8.
 */
import { cookie } from './config';
import { getCookie, setCookie, delCookie } from './helper';

export async function getToken() {
  return getCookie(cookie.token);
}

export async function setToken(token) {
  setCookie(cookie.token, token);
}

export async function delToken() {
  delCookie(cookie.token);
}

export async function getUser() {
  return {
    id: getCookie(cookie.userId),
    name: getCookie(cookie.userName),
  };
}

export async function setUser(id, name) {
  setCookie(cookie.userId, id);
  setCookie(cookie.userName, name);
}

export async function delUser() {
  delCookie(cookie.userId);
  delCookie(cookie.userName);
}

export async function getDomain() {
  return {
    name: getCookie(cookie.domainName),
    path: getCookie(cookie.domainPath),
  };
}

export async function setDomain(name, path) {
  setCookie(cookie.domainName, name);
  setCookie(cookie.domainPath, path);
}

export async function delDomain() {
  delCookie(cookie.domainName);
  delCookie(cookie.domainPath);
}

export async function isAuthed() {
  return getToken().then(result => !!result);
}

export async function hasDomain() {
  return getDomain().then(result => !!result);
}
